Package org.apache.ignite.internal.client.impl

## Class GridClientNodeStateBeforeStartImpl

- java.lang.Object
- - org.apache.ignite.internal.client.impl.GridClientNodeStateBeforeStartImpl

All Implemented Interfaces:
  `GridClientNodeStateBeforeStart`

    public class GridClientNodeStateBeforeStartImpl
    extends Object
    implements GridClientNodeStateBeforeStart

Implementation `GridClientNodeStateBeforeStart`.

### Constructor Summary

Constructors
`GridClientNodeStateBeforeStartImpl​(GridClientImpl client)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `stopWarmUp()` Stop warm-up.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridClientNodeStateBeforeStartImpl

    public GridClientNodeStateBeforeStartImpl​(GridClientImpl client)

Constructor.

Parameters:
  `client` - Client instance.

### Method Detail

#### stopWarmUp

    public void stopWarmUp()
                    throws GridClientException

Stop warm-up.

Specified by:
  `stopWarmUp` in interface `GridClientNodeStateBeforeStart`
Throws:
  `GridClientException` - In case of error.